
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux下如何使CP命令不提示覆盖 / 憋错料</title>

    <meta name="description" content="Linux下如何使CP命令不提示覆盖 在Linux下使用CP命令,经常会提示是否覆盖,如果是太批量的文件覆盖,老是这么提示,会很烦的.那如何解决这个问题呢? 我们先来看一下原因吧! 一般我们使用的命令是cp -rf sourcefile targetdir或cp -r -f sourcefile targetdir, -r的意思是递归复制,也就是复制文件夹及其下所有文件 -f的意思是遇到同名的文件,不提示,直接覆盖 但为什么我们用这两个参数,系统还是会提示覆盖呢? 这是因为,系统在安装的时候使用了别名,防止我们误操作,覆盖了不该覆盖">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux下如何使CP命令不提示覆盖</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在Linux下使用CP命令，经常会提示是否覆盖，如果是太批量的文件覆盖，老是这么提示，会很烦的。那如何解决这个问题呢？</p>
<p>我们先来看一下原因吧！</p>
<p>一般我们使用的命令是cp -rf sourcefile targetdir或cp -r -f sourcefile targetdir，</p>
<p>-r的意思是递归复制，也就是复制文件夹及其下所有文件</p>
<p>-f的意思是遇到同名的文件，不提示，直接覆盖</p>
<p>但为什么我们用这两个参数，系统还是会提示覆盖呢？</p>
<p>这是因为，系统在安装的时候使用了别名，防止我们误操作，覆盖了不该覆盖的文件。使用别名命令就可以看到具体的配置了。</p>
<p>[[email&#160;protected] home]# alias<br />alias cp=‘cp -i‘<br />alias l.=‘ls -d .* --color=tty‘<br />alias ll=‘ls -l --color=tty‘<br />alias ls=‘ls --color=tty‘<br />alias mv=‘mv -i‘<br />alias rm=‘rm -i‘<br />alias which=‘alias | /usr/bin/which --tty-only --read-alias --show-dot --show-tilde‘</p>
<p>从上边我们可以看出，我们输入的cp命令，其实是&ldquo;cp -i&rdquo;命令，</p>
<p>也就是不管我们怎么输入 cp -rf，其实执行的是 cp -i -rf , 也无怪乎总是提问是否覆盖了。</p>
<p>从上边的命令我们可以知道，其他几个命令，也使用了别名，例如ll，ls mv，rm等。</p>
<p>那么如何解决这个问题呢？</p>
<p>[[email&#160;protected] home]# vi ~/.bashrc<br /># .bashrc</p>
<p># User specific aliases and functions</p>
<p>alias rm=‘rm -i‘<br />alias cp=‘cp -i‘<br />alias mv=‘mv -i‘</p>
<p># Source global definitions<br />if [ -f /etc/bashrc ]; then<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;. /etc/bashrc<br />fi<br />&nbsp;&nbsp;&nbsp;&nbsp;只要在相应的命令前加#号，就可以注释掉该命令了。保存退出，然后你就可以用纯粹的原命令了。</p>
<p>其实还有一种办法可以解决这个问题，就是使用 \cp -f file dir 就可以了！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 04:00:48 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux下如何使CP命令不提示覆盖的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWjADy4.html" rel="bookmark">Linux下如何使cp命令不提示覆盖文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux下,如果希望将文件file拷贝到目录dir下,可以执行:cp file dir但如果dir下已经存在一个名为file的文件的时候,系统总是会提示是否覆盖file. 这是一个很好的功能,它能够防止我们由于疏忽对系统造成的损害,但如果不希望看到这些交互的提示信息呢?比如我们需要写一个脚本,将某些文件安装到指定的目录下,这时我们肯定不希望看到提示. 可以试一下 -f 选项,-f 一般表示强制执行(force). cp -f file dir 但好像结果并不像我们希望的那样,系统依然会有覆盖			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NWYoGM.html" rel="bookmark">Linux 下mv和cp命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注意事项:mv与cp的结果不同,mv好像文件“搬家”,文件个数并未增加.而cp对文件进行复制,文件个数增加了. 一.cp命令 cp命令用来将一个或多个源文件或者目录复制到指定的目的文件或目录.它可以将单个源文件复制成一个指定文件名的具体的文件或一个已经存在的目录下.cp命令还支持同时复制多个文件,当一次复制多个文件时,目标文件参数必须是一个已经存在的目录,否则将出现错误. 语法: cp(选项)(参数) 选项: -a:此参数的效果和同时指定&quot;-dpR&quot;参数相同: -d:当复制符号连接时,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QLd223.html" rel="bookmark">centos 使用 CP 命令 不提示 覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天 在我的VPS上拷一个目录,但放的地方有一个同名目录并且里面还有文件.如是直接拷过去,结果有N个要确认替换的提示,直接CTRL+C,在网上搜了把,发现有几个方法能够解决,方法例如以下: 一般我们使用的命令是cp -rf sourcefile targetdir或cp -r -f sourcefile targetdir, -r的意思是递归复制,也就是复制目录及其下全部文件 -f的意思是遇到同名的文件,不提示,直接覆盖 但为什么我们用这两个參数,系统还是会提示覆盖呢? 这是由于.系统在安装的时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n6RZX0.html" rel="bookmark">Linux下ls与cp命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux熟练的应用命令,才可以随心所欲~ ls 注意: ls -1   //每次只列出1个文件 cp 注意: cp -u  xxx xxx  //注意修改时间的先后 原文地址:https://www.cnblogs.com/xiaochina/p/9165058.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49LbQv3.html" rel="bookmark">在linux下的使用复制命令cp，不让出现&OpenCurlyDoubleQuote;overwrite&rdquo;（文件覆盖）提示的方法。（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在linux下的使用复制命令cp,不让出现&quot;overwrite&quot;(文件覆盖)提示的方法. 一般我们在使用cp命令时加上-f选项,希望不让出现&quot;overwrite&quot;的提示(文件覆盖的提示).如:# cp -rf sourcefile targetdir 或#cp -r -f sourcefile targetdir-r的意思是递归复制,也就是复制文件夹及其下所有文件.-f的意思是遇到同名的文件时不提示,直接覆盖. 但是为什么加上-f了,还出现&quot;overwri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/j4NpXy0.html" rel="bookmark">Linux下静态路由配置命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux下静态路由修改命令 方法一: 添加路由 route add -net 192.168.1.0/24 gw 192.168.1.1 route add -host 192.168.1.8 dev 192.168.1.1 删除路由 route del -net 192.168.0.0/24 gw 192.168.0.1 add 增加路由 del 删除路由 -net 设置到某个网段的路由 -host 设置到某台主机的路由 gw 出口网关 IP地址 dev 出口网关 物理设备名 增加默认路由			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLPGQOM.html" rel="bookmark">二十七、Linux下常用的shell命令记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文章记录我在linux系统下常用或有用的系统级命令,包括软硬件查看.修改命令,有CPU.内存.硬盘.网络.系统管理等命令.但本文不打算介绍生僻命令,也不介绍各个linux发行版下的特有命令,且以后会持续更新. 说明,我是在一个Centos 6.4 64位的虚拟机系统进行测试.本文介绍的命令都会在此Centos下运行验证(也有部分命令会在我的suse/ubuntu系统里测试的,会做特明说明),但运行结果就不再列出了. 硬件篇 CPU相关 lscpu #查看的是cpu的统计信息. cat /pro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NXm6B0.html" rel="bookmark">linux下神奇的script命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				script 是一个神奇命令,script 能够将终端的会话过程录制下来,然后使用 scriptreplay 就可以将其录制的结果播放给他人观看.script 的好处就在于你在终端中的所有操作.敲过的命令和打印出的结果它都可以原原本本地进行录制.可以应用于教学.演示.审计. 一般来说,script 和 scriptreplay 在 Linux 发行版中都有默认安装. script -t 2&gt;demo.time -a demo.his 开始录像,ctrl+d或者exit结束 scriptrepla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dDgD70.html" rel="bookmark">linux下如何使用sftp命令【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux下如何使用sftp命令 from:   http://www.cnblogs.com/chen1987lei/archive/2010/11/26/1888391.html sftp 是一个交互式文件传输程式.它类似于 ftp, 但它进行加密传输,比FTP有更高的安全性.下边就简单介绍一下如何远程连接主机,进行文件的上传和下载,以及一些相关操作. 举例,如远程主机的 IP 是 202.206.64.33或者是域名www.hebust.edu.cn,用户名是  fyt ,在命令行模式下:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0npaN4.html" rel="bookmark" class="title">Java8的重要新特性</a>
					<div>
						一.Lambda表达式 java8中Lambda表达式的书写方式: (参数) -&gt; 表达式 (参数) -&gt; 单行语句 (参数) -&gt; { 语句 } 1.Lambda遍历List和Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0k85z3.html" rel="bookmark" class="title">SQL之索引</a>
					<div>
						创建一张表:     QString querystr;     querystr=&quot;create table if not exists terminaldata(TerminalID v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEoOjK3.html" rel="bookmark" class="title">汉诺塔题目总结</a>
					<div>
						参考了别人的代码的总结 1.四柱汉诺塔问题和n柱汉诺塔问题 题目: #include&lt;cstdio&gt; #include&lt;algorithm&gt; #include&lt;cmath ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvpL73.html" rel="bookmark" class="title">junit&comma; hamcrest和eclemma安装</a>
					<div>
						junit 安装简介: 1. 从http://www.junit.org/ 下载junit相应的jar包:   2. 在CLASSPATH中加入JAR包所在的路径,C:\Users\weidi\Des ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rzV1g3.html" rel="bookmark" class="title">iBatis&period;net 循环iterate，没有foreach</a>
					<div>
						3.9.4. Iterate Element This tag will iterate over a collection and repeat the body content for each  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPx6V4.html" rel="bookmark" class="title">各类延迟触发的简单总结</a>
					<div>
						performSelector方法是一般用来在指定方法中做延迟操作,或者在指定方法中进行传参.但是performSelector方法在延迟操作时是缺乏安全性的,在安全需求高的场合,可以调用dispat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqWkb3.html" rel="bookmark" class="title">new 等于 malloc加构造函数</a>
					<div>
						1.new 是c++中的操作符,malloc是c 中的一个函数 2.new 不止是分配内存,而且会调用类的构造函数,同理delete会调用类的析构函数,而malloc则只分配内存,不会进行初始化类成员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyywB3.html" rel="bookmark" class="title">破解路由wifi</a>
					<div>
						BT3全称Back Track 3,这是一个linux环境的便携系统,可以放到U盘或者光盘中启动,还有VMware的镜像,可用VMware虚拟机启动,对本身硬盘没有影响,无需在本地安装. BT3是圈内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jL96g4.html" rel="bookmark" class="title">Dynamic programming--optimal binary search tree</a>
					<div>
						key_probability = [-1, 0.15, 0.1, 0.05, 0.1, 0.2]virtual_key_probability = [0.05, 0.1, 0.05, 0.05, 0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azLan3.html" rel="bookmark" class="title">mysql无法远程连接的解决方法</a>
					<div>
						在阿里云服务器上安装好MySQL后,首先想到的就是安装一款工具来管理数据库,一开始选择了phpMyAdmin,这个工具安装很简单,只要解压到能访问的目录下就行了.在浏览器中访问phpMyAdmin目录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xeZZB3.html" rel="bookmark" class="title">组合逻辑电路</a>
					<div>
						1 组合电路的特点 方框图 组合电路分析方法 根据逻辑图 写出逻辑表达式 化简逻辑表达式 列真值表 确定输出变量的物理意义描述电路的功能 组合电路的设计方法 对实际逻辑问题进行抽象,定义输出变量和输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JjjjP4.html" rel="bookmark" class="title">微信小程序体验&lpar;2&rpar;：驴妈妈景区门票即买即游</a>
					<div>
						驴妈妈因为出色的运营能力,被腾讯选为首批小程序内测单位.驴妈妈的技术开发团队在很短的时间内完成了开发任务,并积极参与到张小龙团队的内测问题反馈.驴妈妈认为,移动互联网时代,微信是巨大的流量入口,也是旅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QvqJEM.html" rel="bookmark" class="title">虚拟劳工诚实可靠吗？</a>
					<div>
						大家知道,雇用个别&quot;虚拟劳工&quot;影响不大,诚实可靠与否并无多大关系.但是,&quot;虚拟劳工&quot;使用人数多了,诚实可靠与否就是一个大问题了. 第一批&quot;虚拟劳工&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RQnY7M.html" rel="bookmark" class="title">SeekBar与ProgressBar</a>
					<div>
						xml文件: &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXnww0.html" rel="bookmark" class="title">图片压缩的另一种实现&lpar;3&rpar;</a>
					<div>
						import java.awt.Graphics; import java.awt.image.BufferedImage; import java.io.ByteArrayOutputStream; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVWlXw0.html" rel="bookmark" class="title">如何做一个合格的创业技术团队管理者</a>
					<div>
						去年年初组建创业技术团队,回想起来历历在目,如今总算有点时间可以好好回顾一下. 宽广的胸怀:作为一个管理者首要的就是胸怀,能容纳各种人不同做事方式,不同的人生态度,不同的人生目标, 你要做的是把性格各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmpEr3.html" rel="bookmark" class="title">一个不会言谈的程序员，惊奇发现自己能力的多么的优秀</a>
					<div>
						本人7月16号辞职,准备去北京.今天是7月19号,在离职的这几天我接了几个单子的活儿,赚了3000RMB,然而在重庆我的工资才2480+公司提供的公寓,,,我投递了很多北京的公司,公司都只给我开800 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX1q1q0.html" rel="bookmark" class="title">新建maven工程使用webapp插件弹出javax&period;servlet&period;http&period;HttpServlet was not found on the Java Build Path异常</a>
					<div>
						检查pom.xml文件中是否引用javax.servlet,引用如下所示:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MorZ8y4.html" rel="bookmark" class="title">（一）MVC5干货篇，目录和路由</a>
					<div>
						MVC目录结构概述 ? 文件夹或文件 描述 备注 /App_Data 此文件夹用于存放私有数据,如XML,或者SQL Server Express\SQLite的数据库文件,或其他基于文件的存储库 I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j8pN94.html" rel="bookmark" class="title">c&num;学习笔记之字符串和正则表达式</a>
					<div>
						一.字符串 c#中提供了一系列关于string类型的值的操作,便于我们对string进行各种类型的操作,例如比较,转化成字符串等等 eg: using System; using System.Col ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
